DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# HysteresisThreshold

Point Operation

## SYNOPSIS

`#include "dip_point.h"`

dip_Error dip_HysteresisThreshold ( in, out, low, high )

## DATA TYPES

integer, float

## FUNCTION

Performs hysteresis thresholding. From the binary image (in>low) only those regions are selected for which at least one location also has (in>high). The output image will be a binary image with foreground pixel 1 and background pixel 0;

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_float` | `low` | Lower threshold
`dip_float` | `high` | Higher threshold

## SEE ALSO

`Threshold`, `RangeThreshold`, `IsodataThreshold`